<app-header titulo="Curso"></app-header>

<ion-content class="ion-padding">
  
  <div *ngFor="let curso of cursos"  >
    <h2 (click)="toggleDetails(curso.id)">
      {{ curso.titulo }}
      <ion-icon [name]="curso.mostrar ? 'remove-circle-outline' : 'add-circle-outline'" color="primary" color="primary"></ion-icon>      
    </h2>
    <div [ngClass]="curso.mostrar ? 'active' : 'inactive' ">      
      <ion-card>
        <ion-card-header>
          <ion-card-title>Descripción</ion-card-title>
        </ion-card-header>

        <ion-card-content>
          {{curso.descripcion }}          
        </ion-card-content>
        <ion-button color="primary" (click)="verLecciones(curso.id)">Ver Lecciones</ion-button>
      </ion-card>      
    </div>
  </div>
</ion-content>
